---
type: api
title: Get organization IdP
description: Gets the oranization's IdP. Currently unavailable in self-hosted ECE.
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud/operation/operation-get-organization-idp
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud/operation/operation-get-organization-idp
products:
  - Elastic Cloud Hosted
---

# Get organization IdP

- Server: `https://api.elastic-cloud.com/api/v1`

## Paths

- `GET` `/organizations/{organization_id}/idp`

#### Path Parameters

- `organization_id` (string)
  Identifier for the Organization

## Description

Gets the oranization's IdP. Currently unavailable in self-hosted ECE.

## Responses

#### `200`

The IdP info

`application/json`

- `login_identifier` (string)
  The login identifier that is unique to this organization
- `sso_login_url` (string)
  The Elastic Cloud login URL for this IdP
- `metadata_url` (string)
  The SAML2 metadata url for downloading the SAML2 SP metadata XML
- `acs` (string)
  The SAML2 assertion consumer service of the SP
- `sp_entity_id` (string)
  The SP entity ID and the audience for SAML2 response assertions
- `signing_certificate` ([] string)
  The certificate that will sign SAML2 requests to the IdP
- `encryption_certificate` ([] string)
  The certificate that the IdP can use to encrypt SAML assertions. Encryption is optional
- `configuration` ({} OrganizationIdpConfiguration)
  The organization's IdP configuration
  - `enabled` (boolean)
    Whether or not the IdP is enabled
  - `login_identifier_prefix` (string)
    The prefix of the login identifier that will be generated
  - `saml_idp` ({} SamlIdp)
    SAML2 IdP configuration object
    - `public_certificate` ([] string)
      Base64-encoded PEM-format X.509 certificate
    - `issuer` (string)
      The IdP URI that identifies the issuer of a SAML2 response message assertion
    - `sso_url` (string)
      The IdP SAML HTTP-POST endpoint URL that will receive SAML requests during SP-initiated login
#### `404`

IdP was not configured yet. (code: `org.idp.idp_not_configured`)

`application/json`

- `errors` ([] BasicFailedReplyElement)
  A list of errors that occurred in the failing request
  - `code` (string)
    A structured code representing the error type that occurred
  - `message` (string)
    A human readable message describing the error that occurred
  - `fields` ([] string)
    If the error can be tied to a specific field or fields in the user request, this lists those fields
##### Response Headers

- `x-cloud-error-codes` (enum)
  The error codes associated with the response

## Code Examples

#### Console

```console
GET /organizations/{organization_id}/idp
```

#### curl

```curl
curl -X GET "https://api.elastic-cloud.com/api/v1/organizations/{organization_id}/idp"
```

